edu.wpi.first.wpilibj

## Enum CounterBase.EncodingType

- java.lang.Object
- - java.lang.Enum<CounterBase.EncodingType>
  - - edu.wpi.first.wpilibj.CounterBase.EncodingType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CounterBase.EncodingType>
  Enclosing interface:
    CounterBase

      public static enum CounterBase.EncodingType
      extends java.lang.Enum<CounterBase.EncodingType>

  The number of edges for the counterbase to increment or decrement on.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `k1X` Count only the rising edge.
    `k2X` Count both the rising and falling edge.
    `k4X` Count rising and falling on both channels.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CounterBase.EncodingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CounterBase.EncodingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### k1X

          public static final CounterBase.EncodingType k1X

      Count only the rising edge.

    - #### k2X

          public static final CounterBase.EncodingType k2X

      Count both the rising and falling edge.

    - #### k4X

          public static final CounterBase.EncodingType k4X

      Count rising and falling on both channels.

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static CounterBase.EncodingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CounterBase.EncodingType c : CounterBase.EncodingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CounterBase.EncodingType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null